You are viewing a non-production environment — the API surface may differ from production.
Booking API

Time Slots Settings

Location configuration for order time slots

GET
/api/v1/locations/{locationId}/time-slots-settings

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

locationId*string

Location ID

Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/locations/string/time-slots-settings"
{  "status": "success",  "data": {    "locationId": 0,    "timeSlotInMinutes": 1  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
PUT
/api/v1/locations/{locationId}/time-slots-settings

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

locationId*string

Location ID

Match^[0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

timeSlotInMinutes*number
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/locations/string/time-slots-settings" \  -H "Content-Type: application/json" \  -d '{    "timeSlotInMinutes": 1  }'
{  "status": "success",  "data": {    "locationId": 0,    "timeSlotInMinutes": 1  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}